﻿* Encoding: UTF-8.


*******************************************************
*******************************************************
*   「『失われた20年』と政治的格差」　―「福祉か減税か」に
*   関するパズルをめぐって―」『同志社法学』69巻7号
*
*    分析ファイル1：SPSSシンタックス 
* 
*   Copyright 2018 by Yoshitaka Nishizawa
*******************************************************
*******************************************************
*******************************************************
*******************************************************.

*******************************************************
*  ファイルの構成（ライン番号はおよその位置）
*   Line 28      -  JES4、JES3、JES2の順に、独立・従属変数の加工
*                     -  JES4については、調査毎にファイルが分割されているの
*                        で、その都度、加工後のファイルを保存し、最後に、統合
*   Line 950   - JE3につき同様の処理
*   Line 1510 - JES2につき同様の処理
*   Line 1800 - 3 JESの統合
*   Line 1860 - inc361の追加
*   Line 1970 - STATAファイルの出力
*******************************************************.


********************************************
       JES4
********************************************.


*** 07UH ***********************************.
get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '0999_wave1.sav'.

compute a_wave=1.
*fre a_wave.

compute grand_id=id.

*fre 
  f1 f2_age f4 f8.
recode
   f1 (1=0)(2=1) into a_female
/ f2_age (else=copy) into a_age
/ f4 (1=9)(2=12)(3=14)(4=16)(else=-9) into a_educ
/ f8 (1=200)(2=300)(3=400)(4=500)(5=600)(6=700)(7=800)
       (8=1000)(9=1200)(10=1400)(11=2000)(12=3000)(else=-99) into a_income.  
/*Note: income categories may vary depending on the wave.
missing values all (-9,-99,-999).

*fre 
  f1          a_female
  f2_age      a_age
  f4          a_educ
  f8          a_income.

**** WelfAB ******************************.
*fre q11s1.
recode
   q11s1 
  (4=1)(3=.67)(2=.33)(1=0)(else=-9) into
  a_welfAB.
execute.
missing values all (-9,-99,-999).
*fre a_welfAB.

**** libcon ******************************.
*fre q35.
recode q35
 (0 thru 10=copy)(else=-99) into
 a_libcon.
missing values a_libcon (-99).
*fre q35 a_libcon.

**** life satisfaction ******************************.
*fre q45 q46 q47.
recode
   q45 q46 q47
  (1=1)(2=.75)(3=.50)(4=.25)(5=0)(else=-9) into
  a_lif1 a_lif2 a_lif3.
execute.
missing values all (-9,-99,-999).
*fre
  a_lif1 a_lif2 a_lif3.

**** class 5 ****************************************.
*freq q50.
recode q50
 (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=-9) into
 a_class5.
missing values all (-9,-99,-999).
*fre q50 a_class5.

**** efficacy 1-4 ****************************************.
*fre q43_1 to q43_4.
recode
   q43_1 to q43_4
  (1=0)(2=.25)(3=.50)(4=.75)(5=1)(else=-9) into
  a_efc1 to a_efc4.
execute.
missing values all (-9,-99,-999).
*fre
  a_efc1 to a_efc4.

**** tmLDP/DPJ ****************************************.
*fre q18_8 to q18_12.
recode q18_8 to q18_9 (888 999=-999)(else=copy) into
 tmLDP07 tmDPJ07. 
missing values all (-9,-99,-999).
*fre tmLDP07 tmDPJ07.

**** turnout ****************************************.
*fre q1.
recode
   q1
  (1 2=1)(3=0)(else=-9) into
  a_vote.
missing values all (-9,-99,-999).
*fre
  a_vote.

**** vote sd ****************************************.
*fre Q1s2_SEITOU Q1s2_KOUHOSYA.

*
0 白紙・無効票
1 自民党
2 民主党
3 公明党
4 社民党
5 共産党
6 国民新党
8 その他の政党
9 無所属
88 わからない
99 答えない
*
1 自民党
2 民主党
3 公明党
4 社民党
5 共産党
6 国民新党
7 新党日本
8 その他の政党
88 わからない
99 答えない
.

*crosstabs tables=Q1s2_KOUHOSYA by Q1s2_SEITOU.
  *上記から、候補者での回答も、Q1S2_SEITOUの政党名にコードされている。
  つまり、Q1S2_SEITOUをv07dsと置き換えて使ってよい。.
recode Q1s2_SEITOU (0 88 99=-99)(else = copy) into v07ds.
recode v07ds (-99 sysmis=-99)(1=1)(else = 0) into v07dsLDP.
recode v07ds (-99 sysmis=-99)(2=1)(else = 0) into v07dsDPJ.
recode v07ds (-99 sysmis=-99)(3 thru 9=1)(else = 0) into v07dsOTH.
recode v07ds (-99 sysmis=-99)(1 thru 2=copy)(3 thru 9=3)(else = -99) into v07ds4.
if (a_vote = 0) v07ds4=4.
missing values all (-9,-99,-999).
*fre v07ds v07dsLDP v07dsDPJ v07dsOTH a_vote v07ds4.


**** vote pr ****************************************.
*fre Q1s6_SEITOU Q1s6_KOUHOSYA Q1s7.
*crosstabs tables=Q1s6_SEITOU Q1s6_KOUHOSYA by Q1s7.  <-- 「空白」.
*crosstabs tables=Q1s6_KOUHOSYA by Q1s6_SEITOU.
*crosstabs tables=Q1s6_SEITOU by q1s7.  <-- 「空白」.
  *上記から、候補者での回答（Q1s6_KOUHOSYA）も、Q1S6_SEITOUの政党名にコードされている。
  つまり、Q1s6_KOUHOSYAは無視して、Q1S6_SEITOUを使ってよい。
  ただし、Q1s6_SEITOUの回答は、次のq1s7には取り込まれていない。したがって、両者を合成する必要あり。


compute v07pr=-99.
*fre v07pr.
if (q1s7 ge 1 and q1s7 le 8) v07pr=q1s7.
*fre v07pr.
if (Q1S6_SEITOU ge 1 and Q1S6_SEITOU le 8) v07pr=Q1S6_SEITOU.
*fre v07pr.
*fre Q1S6_SEITOU.
  *上記3つのfreqの結果を見ると、v07prがq1s7（政党による回答）とQ1S6_SEITOU（候補者での回答を政党に置き換えたモノ）の
   合成と、正しく変換できていることが確認できる。例えば、自民：403 = 311 + 92.
*crosstabs tables=v07ds by Q1s2_SEITOU Q1s2_KOUHOSYA. 
*crosstabs tables=v07pr by Q1s6_SEITOU Q1s6_KOUHOSYA.
recode v07pr (-99 sysmis=-99)(1=1)(else = 0) into v07prLDP.
recode v07pr (-99 sysmis=-99)(2=1)(else = 0) into v07prDPJ.
recode v07pr (-99 sysmis=-99)(3 thru 8=1)(else = 0) into v07prOTH.
recode v07pr (-99 sysmis=-99)(1 thru 2=copy)(3 thru 8=3)(else = -99) into v07pr4.
if (a_vote = 0) v07pr4=4.
missing values all (-9 -99 -999).
*fre v07pr v07prLDP v07prDPJ v07prOTH a_vote v07pr4.

**** save outfile ****************************************.
sort cases by grand_id.
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-07UH.sav'
 /keep=
      grand_id a_wave 
      a_female a_age a_educ a_income
      a_welfAB a_libcon
      a_lif1 a_lif2 a_lif3
      a_class5
      a_efc1 to a_efc4
      tmLDP07 tmDPJ07 
      a_vote
      v07ds v07dsLDP v07dsDPJ v07dsOTH v07ds4
      v07pr v07prLDP v07prDPJ v07prOTH v07pr4.














*** 09LHa ***********************************.
get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '0999_wave2.sav'.

compute b_wave=1.
*fre b_wave.
compute grand_id=id.


**** WelfAB ******************************.
*fre q21s1.
recode
   q21s1
  (4=1)(3=.67)(2=.33)(1=0)(else=-9) into
  b_welfAB.
execute.
missing values all (-9 -99 -999).
*freq 
 q21s1  b_welfAB.


**** libcon ******************************.
*fre q28.
recode q28
 (0 thru 10=copy)(else=-99) into
 b_libcon.
missing values all (-9 -99 -999).
*fre q28 b_libcon.

**** life satisfaction ******************************.
*fre q39 q40 q41.
recode
   q39 q40 q41
  (1=1)(2=.75)(3=.50)(4=.25)(5=0)(else=-9) into
  b_lif1 b_lif2 b_lif3.
execute.
missing values all (-9,-99,-999).
*fre b_lif1 b_lif2 b_lif3.

**** tmLDP/DPJ ****************************************.
*fre q8_7 to q8_11.
recode q8_7 to q8_8 (888 999=-999)(else=copy) into
 tmLDP09 tmDPJ09. 
missing values all (-9,-99,-999).
*fre tmLDP09 tmDPJ09.

**** save outfile ****************************************.
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-09LHa.sav'
 /keep=
      grand_id b_wave 
      b_welfAB b_libcon
      b_lif1 b_lif2 b_lif3
      tmLDP09 tmDPJ09.









*** 09LHb ***********************************.
get
  file=
       '/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '0999_wave3.sav'.

compute c_wave=1.
compute grand_id=id.

recode
   f1 (1=0)(2=1) into c_female
/ f2_age (elso=copy) into c_age
/ f4 (1=9)(2=12)(3=14)(4=16)(else=-9) into c_educ
/ f8 (1=200)(2=300)(3=400)(4=500)(5=600)(6=700)(7=800)
       (8=1000)(9=1200)(10=1400)(11=2000)(12=3000)(else=-99) into c_income.
missing values all (-9,-99,-999).
*fre c_female to c_income.


**** class 5 ****************************************.
*fre q36.
recode q36
 (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=-9) into
 c_class5.
missing values all (-9,-99,-999).
*fre q36 c_class5.

**** efficacy 1-4 ****************************************.
*fre q15_1 to q15_4.
recode
   q15_1 to q15_4
  (1=0)(2=.25)(3=.50)(4=.75)(5=1)(else=-9) into
  c_efc1 to c_efc4.
missing values all (-9,-99,-999).
*fre c_efc1 to c_efc4.

**** turnout ****************************************.
*fre q1.
recode
   q1
  (1 2=1)(3=0)(else=-9) into
  c_vote.
execute.
missing values all (-9,-99,-999).
*fre
  c_vote.

**** vote sd & pr ****************************************.
*fre q1s2_seitou Q1s2_KOUHOSYA q1s7.
*
1 自民党
2 民主党
3 公明党
4 社民党
5 共産党
6 国民新党.

*crosstabs tables=Q1s2_KOUHOSYA by Q1s2_SEITOU.
recode q1s2_seitou q1s7 (0 88 99=-99)(else = copy) into v09sm v09pr.

recode v09sm (-99 sysmis=-99)(1=1)(else = 0) into v09smLDP.
recode v09sm (-99 sysmis=-99)(2=1)(else = 0) into v09smDPJ.
recode v09sm (-99 sysmis=-99)(3 thr 6=1)(else = 0) into v09smOTH.
recode v09sm (-99 sysmis=-99)(1 thru 2=copy)(3 thru 6=3)(else = -99) into v09sm4.
if (c_vote = 0) v09sm4=4.
missing values all (-9 -99 -999).
*fre v09smLDP to v09sm4 c_vote.

recode v09pr (-99 sysmis=-99)(1=1)(else = 0) into v09prLDP.
recode v09pr (-99 sysmis=-99)(2=1)(else = 0) into v09prDPJ.
recode v09pr (-99 sysmis=-99)(3 thru 6=1)(else = 0) into v09prOTH.
recode v09pr (-99 sysmis=-99)(1 thru 2=copy)(3 thru 6=3)(else = -99) into v09pr4.
if (c_vote = 0) v09pr4=4.
missing values all (-9 -99 -999).
*fre v09prLDP to v09pr4 c_vote.

**** save outfile ****************************************.
sort cases by grand_id.
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-09LHb.sav'
 /keep=
      grand_id c_wave 
      c_female c_age c_educ c_income
      c_class5
      c_efc1 to c_efc4
      c_vote
      v09sm v09smLDP v09smDPJ v09smOTH v09sm4
      v09pr v09prLDP v09prDPJ v09prOTH v09pr4.











*** 10UHa ***********************************.
get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '0999_wave5.sav'.

compute e_wave=1.
compute grand_id=id.

**** WelfAB ******************************.
*fre q19s1.
recode
   q19s1
  (4=1)(3=.67)(2=.33)(1=0)(else=-9) into
  e_welfAB.
missing values all (-9 -99 -999).
*freq 
 q19s1  e_welfAB.

**** libcon ******************************.
*fre q29.
recode q29
 (0 thru 10=copy)(else=-99) into
 e_libcon.
missing values all (-9 -99 -999).
*fre q29 e_libcon.

**** life satisfaction ******************************.
*fre q40 q41 q42.
recode
   q40 q41 q42
  (1=1)(2=.75)(3=.50)(4=.25)(5=0)(else=-9) into
  e_lif1 e_lif2 e_lif3.
missing values all (-9 -99 -999).
*fre
  e_lif1 e_lif2 e_lif3.

**** tmLDP/DPJ ****************************************.
*fre q6_10 to q6_14.
recode q6_10 to q6_11 (888 999=-999)(else=copy) into
 tmLDP10 tmDPJ10. 
missing values all (-9,-99,-999).
*fre tmLDP10 tmDPJ10.

**** save outfile ****************************************.
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-10UHa.sav'
 /keep=
      grand_id e_wave 
      e_welfAB e_libcon
      e_lif1 e_lif2 e_lif3
      tmLDP10 tmDPJ10.











*** 10UHb ***********************************.
get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '0999_wave6.sav'.

compute f_wave=1.
compute grand_id=id.

*fre 
  f1 f2_age f4 f6 f8.

recode
   f1 (1=0)(2=1) into f_female
/ f2_age (elso=copy) into f_age
/ f4 (1=9)(2=12)(3=14)(4=16)(else=-9) into f_educ
/ f8 (1=200)(2=300)(3=400)(4=500)(5=600)(6=700)(7=800)
       (8=1000)(9=1200)(10=1400)(11=2000)(12=3000)(else=-99) into f_income.
missing values all (-9 -99 -999).

*fre 
  f1          f_female
  f2_age  f_age
  f4          f_educ
  f8          f_income.


**** class 5 ****************************************.
*fre q41.
recode q41
 (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=-9) into
 f_class5.
missing values all (-9 -99 -999).
*fre q41 f_class5.

**** efficacy 1-4  ****************************************.
*fre q17_1 to q17_4.
recode
  q17_1 to q17_4
  (1=0)(2=.25)(3=.50)(4=.75)(5=1)(else=-9) into
  f_efc1 to f_efc4.
missing values all (-9 -99 -999).
*fre f_efc1 to f_efc4.

**** turnout ****************************************.
*fre q1.
recode
   q1
  (1 2=1)(3=0)(else=-9) into
  f_vote.
execute.
missing values all (-9 -99 -999).
*fre
  f_vote.


**** vote sd ****************************************.
*fre Q1s2_SEITOU Q1s2_KOUHOSYA.
* Q1s2_SEITOU
0 白票・無効票	13
1 自民党	550
2 民主党	639
3 公明党	43
4 社民党	7
5 共産党	77
6 国民新党	4
7 みんなの党	101
8 新党改革	11
9 たちあがれ日本	5
10 その他の政党	4
11 無所属	41
88 わからない	4
99 答えない	29
合計	1528
システム欠損値	179
	1707
* Q1s7_SEITOU
1 自民党	78
2 民主党	80
3 公明党	48
4 社民党	12
5 共産党	4
6 国民新党	5
7 みんなの党	13
8 新党改革	1
9 たちあがれ日本	5
10 その他の政党	2
88 わからない	7
99 答えない	13
合計	268
システム欠損値	1439
	1707
*.
* Q1s8
1 自民党	325
2 民主党	484
3 公明党	78
4 社民党	32
5 共産党	68
6 国民新党	8
7 みんなの党	175
8 新党改革	28
9 たちあがれ日本	14
10 その他の政党	7
88 わからない	2
99 答えない	16
合計	1237
システム欠損値	470
	1707
*.

*crosstabs tables=Q1s2_KOUHOSYA by Q1s2_SEITOU.
  *上記から、候補者での回答も、Q1S2_SEITOUの政党名にコードされている。つまり、Q1S2_SEITOUをv10dsと置き換えて使ってよい。.
recode Q1s2_SEITOU (0 88 99=-99)(else = copy) into v10ds.
recode v10ds (-99 sysmis=-99)(1=1)(else = 0) into v10dsLDP.
recode v10ds (-99 sysmis=-99)(2=1)(else = 0) into v10dsDPJ.
recode v10ds (-99 sysmis=-99)(3 thru 10=1)(else = 0) into v10dsOTH.
recode v10ds (-99 sysmis=-99)(1 thru 2=copy)(3 thru 10=3)(else = -99) into v10ds4.
if (f_vote = 0) v10ds4=4.
missing values all (-9,-99,-999).
*fre v10ds to v10ds4 f_vote.

**** vote pr ****************************************.
*fre Q1s7_SEITOU Q1s7_KOUHOSYA Q1s8.
*crosstabs tables=Q1s7_SEITOU Q1s7_KOUHOSYA by Q1s8.
*crosstabs tables=Q1s7_KOUHOSYA by Q1s7_SEITOU.
*crosstabs tables=Q1s7_SEITOU by q1s8.
  *上記から、候補者での回答（Q1s7_KOUHOSYA）も、Q1S7_SEITOUの政党名にコードされている。
  つまり、Q1s7_KOUHOSYAは無視して、Q1S7_SEITOUを使ってよい。
  ただし、Q1s7_SEITOUの回答は、次のq1s8には取り込まれていない。したがって、両者を合成する必要あり。

compute v10pr=-99.
*fre v10pr.
if (q1s8 ge 1 and q1s8 le 10) v10pr=q1s8.
*fre v10pr.
if (Q1S7_SEITOU ge 1 and Q1S7_SEITOU le 10) v10pr=Q1S7_SEITOU.
*fre v10pr.
*fre Q1S7_SEITOU.
  *上記3つのfreqの結果を見ると、v10prがq1s8（政党による回答）とQ1S7_SEITOU（候補者での回答を政党に置き換えたモノ）の
   合成と、正しく変換できていることが確認できる。例えば、自民：403 = 311 + 92.
*crosstabs tables=v10ds by Q1s2_SEITOU Q1s2_KOUHOSYA. 
*crosstabs tables=v10pr by Q1s7_SEITOU Q1s7_KOUHOSYA.
recode v10pr (-99 sysmis=-99)(1=1)(else = 0) into v10prLDP.
recode v10pr (-99 sysmis=-99)(2=1)(else = 0) into v10prDPJ.
recode v10pr (-99 sysmis=-99)(3 thru 10=1)(else = 0) into v10prOTH.
recode v10pr (-99 sysmis=-99)(1 thru 2=copy)(3 thru 10=3)(else = -99) into v10pr4.
if (f_vote = 0) v10pr4=4.
missing values all (-9,-99,-999).
*fre v10pr to v10pr4 f_vote.

**** save outfile ****************************************.
sort cases by grand_id.
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-10UHb.sav'
 /keep=
      grand_id f_wave 
      f_female f_age f_educ f_income
      f_class5
      f_efc1 to f_efc4
      f_vote
      v10ds v10dsLDP v10dsDPJ v10dsOTH v10ds4
      v10pr v10prLDP v10prDPJ v10prOTH v10pr4.




*** matching above 5 files **********************************.
match files
 file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-07UH.sav'
/file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-09LHa.sav'
/file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-09LHb.sav'
/file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-10UHa.sav'
/file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
              'jes4-10UHb.sav'
/by grand_id.

compute panel=0.
compute a_panel=0.
compute b_panel=0.
compute c_panel=0.
compute df_panel=0.
compute dp_panel=0.
compute e_panel=0.
compute f_panel=0.
compute g_panel=0.

if (a_wave=1) a_panel=1.
if (b_wave=1) b_panel=1.
if (c_wave=1) c_panel=1.
*if (df_wave=1) df_panel=1.
*if (dp_wave=1) dp_panel=1.
if (e_wave=1) e_panel=1.
if (f_wave=1) f_panel=1.
*if (g_wave=1) g_panel=1.

*fre a_panel b_panel c_panel df_panel dp_panel e_panel f_panel g_panel.

compute panel=a_panel*10000 + b_panel*1000 +
              c_panel*100 + e_panel*10 + f_panel.
fre panel.


save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes4-forVoteModel.sav'
/keep=all.










***********************************************************
    複数派回答者につき、1派をランダムに抽出
***********************************************************.

get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes4-forVoteModel.sav'.
  
*「棄権者」がゼロである理由の検討も兼ねる.
*fre a_vote c_vote f_vote.

compute jes=4.

if (a_wave=1)  m1=170. 
if (b_wave=1)  m2=193.
if (c_wave=1)  m3=194.
*if (df_wave=1 or dp_wave=1) m4=198.
if (e_wave=1)  m5=203. 
if (f_wave=1)  m6=204. 
*if (g_wave=1)  m7=220. 

*fre jes m1 to m6.
******************.


*******************
for 07  -> a
*******************.
compute compSet07=nmiss(
      a_female,a_age,a_educ,a_income,
      a_welfAB,a_libcon,
      a_lif1,
      a_class5,
      a_efc1,     a_efc4,
      tmLDP07,tmDPJ07,
      a_vote,
      v07ds,v07dsLDP,v07dsDPJ,v07dsOTH,v07ds4,
      v07pr,v07prLDP,v07prDPJ,v07prOTH,v07pr4).
compute good07=0.
if (compSet07=0) good07=1.

*******************
for 09 -> b, c
*******************.
compute compSet09=nmiss(
      c_female,c_age,c_educ,c_income,
      b_welfAB,b_libcon,
      b_lif1,
      c_class5,
      c_efc1,     c_efc4,
      tmLDP09,tmDPJ09,
      c_vote,
      v09sm,v09smLDP,v09smDPJ,v09smOTH,v09sm4,
      v09pr,v09prLDP,v09prDPJ,v09prOTH,v09pr4).
compute good09=0.
if (compSet09=0) good09=1.


*******************
for 10 -> e,f
*******************.
compute compSet10=nmiss(
      f_female,f_age,f_educ,f_income,
      e_welfAB,e_libcon,
      e_lif1,
      f_class5,
      f_efc1,     f_efc4,
      tmLDP10,tmDPJ10,
      f_vote,
      v10ds,v10dsLDP,v10dsDPJ,v10dsOTH,v10ds4,
      v10pr,v10prLDP,v10prDPJ,v10prOTH,v10pr4).
compute good10=0.
if (compSet10=0) good10=1.

compute goodPTTN=good07 *100 +
                 good09 * 10 +
                 good10.
fre goodPTTN.

*「棄権者」がゼロである理由の検討.
*crosstabs tables=a_vote c_vote f_vote by goodPTTN.
*c_vote と goodPTTN のクロス表										
度数 
		goodPTTN								合計
		.00	1.00	10.00	11.00	100.00	101.00	110.00	111.00	
c_vote	.00	87	8	0	0	3	1	0	0	99
	1.00	547	147	228	243	75	71	103	170	1584
合計		634	155	228	243	78	72	103	170	1683
.

* この段階で、棄権者が12人しか残っていない。


*
111	3
110	2
101	2
011	2
100	1
010	1
001	1
000	0
.

set seed 20160612.
compute R=uniform(1).

do repeat
   set01=
    m1 a_female,a_age,a_educ,a_income,
      a_welfAB,a_libcon,
      a_lif1,
      a_class5,
      a_efc1,     a_efc4,
      tmLDP07,tmDPJ07,
      a_vote,
      v07ds,v07dsLDP,v07dsDPJ,v07dsOTH,v07ds4,
      v07pr,v07prLDP,v07prDPJ,v07prOTH,v07pr4
  /set02=
    m3 c_female,c_age,c_educ,c_income,
      b_welfAB,b_libcon,
      b_lif1,
      c_class5,
      c_efc1,     c_efc4,
      tmLDP09,tmDPJ09,
      c_vote,
      v09sm,v09smLDP,v09smDPJ,v09smOTH,v09sm4,
      v09pr,v09prLDP,v09prDPJ,v09prOTH,v09pr4    
  /set03=
    m6 f_female,f_age,f_educ,f_income,
      e_welfAB,e_libcon,
      e_lif1,
      f_class5,
      f_efc1,     f_efc4,
      tmLDP10,tmDPJ10,
      f_vote,
      v10ds,v10dsLDP,v10dsDPJ,v10dsOTH,v10ds4,
      v10pr,v10prLDP,v10prDPJ,v10prOTH,v10pr4
  /master=
    m9307 female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,    efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

*one out of 3, 111.
 if ((goodPTTN=111) and R lt .33             ) master=set01.
 if ((goodPTTN=111) and R ge .33 and R lt .67) master=set02.
 if ((goodPTTN=111) and R ge .67             ) master=set03.

*one out of 2, 110.
 if ((goodPTTN=110) and R lt .50             ) master=set01.
 if ((goodPTTN=110) and R ge .50             ) master=set02.
*one out of 2, 101.
 if ((goodPTTN=101) and R lt .50             ) master=set01.
 if ((goodPTTN=101) and R ge .50             ) master=set03.
*one out of 2, 011.
 if ((goodPTTN=011) and R lt .50             ) master=set02.
 if ((goodPTTN=011) and R ge .50             ) master=set03.

*one out of 1, 100.
 if(goodPTTN=100                             ) master=set01.
*one out of 1, 010.
 if(goodPTTN=010                             ) master=set02.
*one out of 1, 001.
 if(goodPTTN=001                             ) master=set03.

end repeat.

fre goodPTTN m9307.
crosstabs tables=goodPTTN by m9307.

*「棄権者」がゼロである理由の検討.
*crosstabs tables=goodPTTN by vote.
*crosstabs tables=goodPTTN by a_vote c_vote f_vote.
*temporary.
*select if (goodPTTN = 0).
*crosstabs tables=a_vote by c_vote f_vote
         /tables=c_vote by f_vote.
*temporary.
*select if (goodPTTN = 1).
*crosstabs tables=a_vote by c_vote f_vote
         /tables=c_vote by f_vote.
* この段階で、cとfで、棄権がゼロとなる。


*fre
      m9307 goodPTTN female,age,educ,income,
      welfAB,libcon,
      lif1,lif2,lif3,
      class5,
      efc1,efc2,efc3,efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

select if (goodPTTN ge 1).
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes4-forVoteModel-valid_case_only.sav'
 /keep=
  jes m9307 goodPTTN female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,    efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

fre goodPTTN.


*     ********* NOTE ***********
      * ・1,503 valid cases saved.
      *.

















































********************************************
       JES3
********************************************.


get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       '/0530β.sav'.


compute jes=3.

compute m1= 96.
compute m2= 97.
compute m3=116.
compute m4=123.
compute m5=124.
compute m6=132.
compute m7=133.
compute m8=146.
compute m9=147.


*fre
 pattern.
execute.
delete var pattern.

*fre 
 a16s1 c12s1 d17s1 g18s1 j21s1.
*fre 
 hincome hincom03 hincom04 csesd20 hincom05.  
                /* income categories for hincom04 & csesd20 are different
                /*   from the rest.
                /* and, they differ from jes4 income categories.

                /* "jes3-0530B.sav"の変数ラベルでは、hincom05は、2005年衆院前調査・世帯所得と
                /* とあるが、質問票（jes3_questionaires all v1.pdf）には所得質問無し。
                /* また、dataファイル上も、k-変数の中にあることからも、事後調査（wave-k）と
                /* 考えるのが妥当。.

*fre educat01 educat03 educat04 csesd3a csesd3b educat05
   borny.
recode educat01 educat03 educat04 educat05
 (1=9)(2=12)(3=14)(4=16)(else=-9) into
      a_educ d_educ g_educ j_educ.
missing values all (-9 -99 -999).
compute a_age=2001 - borny. 
compute b_age=2001 - borny. 
compute c_age=2003 - borny. 
compute d_age=2003 - borny. 
compute e_age=2003 - borny. 
compute g_age=2004 - borny. 
compute h_age=2004 - borny. 
compute j_age=2005 - borny. 
compute k_age=2005 - borny. 

*fre a_educ d_educ g_educ j_educ
    a_age b_age c_age d_age e_age g_age h_age j_age k_age.



recode 
  hincome hincom03       hincom05
  (1=200)(2=400)(3=600)(4=800)(5=1000)(6=1200)
  (7=1400)(8=2000)(9=3000)(else=-99) into
  a_income d_income      k_income. 
recode 
  hincom04 csesd20 
  (1=200)(2=300)(3=400)(4=500)(5=600)(6=700)
  (7=800)(8=1000)(9=1200)(10=1400)(11=2000)(12=3000)(else=-99) into
  g_income h_income. 
execute.
missing values all (-9 -99 -999).
*fre
  a_income          d_income g_income h_income k_income.

*fre gender.
recode gender (1=0)(2=1) into female.
*fre gender female.

**** WelfAB ******************************.
*fre a16s1 c12s1 d17s1 g18s1 j21s1.
recode
  a16s1 c12s1 d17s1 g18s1 j21s1
  (4=1)(3=.67)(2=.33)(1=0)(else=-9) into
  a_welfAB c_welfAB d_welfAB g_welfAB j_welfAB. 
missing values all (-9 -99 -999).
*fre a_welfAB c_welfAB d_welfAB g_welfAB j_welfAB.

**** libcon ******************************.
*fre a21 d22 g24 j29.
recode a21 d22 g24 j29
 (0 thru 10=copy)(else=-99) into
 a_libcon d_libcon g_libcon j_libcon.
missing values all (-9 -99 -999).
*fre a_libcon d_libcon g_libcon j_libcon.

**** life satisfaction ******************************.
*fre a35 to a37 d35 to d37 g37 to g39 j46 to j48.


recode
   a35 to a37 d35 to d37 g37 to g39 j46 to j48
  (1=1)(2=.75)(3=.50)(4=.25)(5=0)(else=-9) into
  a_lif1 a_lif2 a_lif3 d_lif1 d_lif2 d_lif3 g_lif1 g_lif2 g_lif3 j_lif1 j_lif2 j_lif3.
missing values all (-9 -99 -999).
execute.
*fre
  a_lif1 a_lif2 a_lif3 d_lif1 d_lif2 d_lif3 g_lif1 g_lif2 g_lif3 j_lif1 j_lif2 j_lif3.

**** class 5 ****************************************.
*fre d42 g44 k29.
recode d42 g44 k29
 (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=-9) into
 d_class5 g_class5 k_class5.
missing values all (-9 -99 -999).
*fre d42 d_class5 g44 g_class5 k29 k_class5.


**** efficacy 1-4 ****************************************.
*NOTE: W1(aXX)のみ trustRepが別質問になっているので注意。.
*crosstabs tables=a33x1 by a32x1.
*crosstabs tables=a33x1 by a33x2.

*fre a32x1 to a32x3 a33x1 d32x1 to d32x4 g34x1 to g34x4 j39x1 to j39x4.
recode
   a32x1 to a32x3 a33x1 d32x1 to d32x4 g34x1 to g34x4 j39x1 to j39x4
  (1=0)(2=.25)(3=.50)(4=.75)(5=1)(else=-9) into
  a_efc1 to a_efc4 d_efc1 to d_efc4 g_efc1 to g_efc4 j_efc1 to j_efc4.
missing values all (-9 -99 -999).
*fre
  a_efc1 to a_efc4 d_efc1 to d_efc4 g_efc1 to g_efc4 j_efc1 to j_efc4.


**** tmLDP/DPJ ****************************************.
*fre a5x2 to a5x6 d6X5 to d6x9 g6X5 to g6x9 j8x4 to j8x8.
recode a5x2 to a5x3 d6X5 to d6x6 g6X5 to g6x6 j8x4 to j8x5
  (888 999=-999)(else=copy) into
 tmLDP01 tmDPJ01
 tmLDP03 tmDPJ03
 tmLDP04 tmDPJ04
 tmLDP05 tmDPJ05.
missing values
 tmLDP01 tmDPJ01
 tmLDP03 tmDPJ03
 tmLDP04 tmDPJ04
 tmLDP05 tmDPJ05 (-999).
*fre
 tmLDP01 tmDPJ01
 tmLDP03 tmDPJ03
 tmLDP04 tmDPJ04
 tmLDP05 tmDPJ05.

**** turnout ****************************************.
*fre e1 h1 k1.
recode
   e1 h1 k1
  (1 2=1)(3=0)(else=-9) into
  e_vote h_vote k_vote.
execute.
missing values e_vote h_vote k_vote (-9,-99,-999).
*fre
  e_vote h_vote k_vote.

**** vote  ****************************************.

*fre e1s2p e1s2c e1s7 h1s2p h1s2c h1s7p h1s7c h1s8 k1s2p k1s2c k1s7.

**** vote LH03 ****************************************.

*e1s2p
1.00 自民党	918
2.00 民主党	605
3.00 公明党	43
4.00 社民党	56
5.00 共産党	89
6.00 保守新党	22
8.00 その他の政党	15
9.00 無所属	65
77.00 白票・無効票	9
88.00 わからない	7
99.00 答えない	177
合計	2006
システム欠損値	2176
	4182
.
*crosstabs tables=e1s2c by e1s2p.
* e1s2pにe1s2cが整理されている。したがって、e1s2pをそのまま使ってよい。
*
*e1s7
1.00 自民党	825
2.00 民主党	711
3.00 公明党	176
4.00 社民党	69
5.00 共産党	91
9.00 その他の政党	1
77.00 白票・無効票	1
88.00 わからない	6
99.00 答えない	123
合計	2003
システム欠損値	2179
	4182.

recode e1s2p e1s7 (77 88 99=-99)(else = copy) into v03sm v03pr.
recode v03sm v03pr  (-99 sysmis=-99)(1=1)(else = 0) into v03smLDP v03prLDP.
recode v03sm v03pr  (-99 sysmis=-99)(2=1)(else = 0) into v03smDPJ v03prDPJ.
recode v03sm        (-99 sysmis=-99)(3 thru 8=1)(else = 0) into v03smOTH.
recode       v03pr  (-99 sysmis=-99)(3 thru 9=1)(else = 0) into v03prOTH.
recode v03sm        (-99 sysmis=-99)(1 thru 2=copy)(3 thru 8=3)(else = -99) into v03sm4.
  if (e_vote = 0) v03sm4=4.
recode       v03pr  (-99 sysmis=-99)(1 thru 2=copy)(3 thru 9=3)(else = -99) into v03pr4.
  if (e_vote = 0) v03pr4=4.
missing values all (-9 -99 -999).
*fre v03sm v03smLDP v03smDPJ v03smOTH v03sm4 
    v03pr v03prLDP v03prDPJ v03prOTH v03pr4.




**** vote UH04 ****************************************.
*fre h1s2p h1s7p h1s8.
* 
*h1s2p 
1.00 自民党	624
2.00 民主党	603
3.00 公明党	48
4.00 社民党	27
5.00 共産党	103
8.00 その他の政党	1
9.00 無所属	150
77.00 白票・無効票	10
88.00 わからない	8
99.00 答えない	119
合計	1693
システム欠損値	2489
	4182.
*crosstabs tables=h1s2c by h1s2p.
*
*h1s7p 
1.00 自民党	97
2.00 民主党	61
3.00 公明党	111
4.00 社民党	12
5.00 共産党	6
8.00 みどりの会議	6
9.00 女性党	1
77.00 白票・無効票	2
88.00 わからない	3
99.00 答えない	15
合計	314
システム欠損値	3868
	4182
*.
*crosstabs tables=h1s7c by h1s7p.
*  h1s7p（比例候補者）はそのまま使ってよいが、h1s8（比例政党）と合成が必要。.
 
*h1s8 
1.00 自民党	466
2.00 民主党	585
3.00 公明党	76
4.00 社民党	48
5.00 共産党	78
8.00 みどりの会議	12
9.00 女性党	6
10.00 維新政党・新風	2
88.00 わからない	3
99.00 答えない	76
合計	1352
システム欠損値	2830
	4182


recode h1s2p (77 88 99=-99)(else = copy) into v04ds.
recode v04ds (-99 sysmis=-99)(1=1)(else = 0) into v04dsLDP.
recode v04ds (-99 sysmis=-99)(2=1)(else = 0) into v04dsDPJ.
recode v04ds (-99 sysmis=-99)(3 thru 8=1)(else = 0) into v04dsOTH.
recode v04ds (-99 sysmis=-99)(1 thru 2=copy)(3 thru 8=3)(else = -99) into v04ds4.
  if (h_vote = 0) v04ds4=4.
missing values all (-9 -99 -999).
*fre v04ds v04dsLDP v04dsDPJ v04dsOTH v04ds4.

compute v04pr=-99.
*fre v04pr.
if (h1s8 ge 1 and h1s8 le 10) v04pr=h1s8.
*fre v04pr.
if (h1s7p ge 1 and h1s7p le 9) v04pr=h1s7p.
*fre v04pr.
recode v04pr (-99 sysmis=-99)(1=1)(else=0) into v04prLDP.
recode v04pr (-99 sysmis=-99)(2=1)(else=0) into v04prDPJ.
recode v04pr (-99 sysmis=-99)(3 thru 10=1)(else=0) into v04prOTH.
recode v04pr (-99 sysmis=-99)(1 thru 2=copy)(3 thru 10=3)(else=-99) into v04pr4.
  if (h_vote = 0) v04pr4=4.
missing values all (-9 -99 -999).
*fre v04pr v04prLDP v04prDPJ v04prOTH v04pr4. 



**** vote LU05 ****************************************.


*
*k1s2p 
1.00 自民党	687
2.00 民主党	465
3.00 公明党	34
4.00 社民党	9
5.00 共産党	65
6.00 国民新党	5
9.00 無所属	60
77.00 白票・無効票	12
88.00 DK	2
99.00 NA	42
合計	1381
システム欠損値	2801
	4182
.
*crosstabs tables=k1s2c by k1s2p.
** k1s2pにk1s2cが整理されている。したがって、k1s2pをそのまま使ってよい。

*k1s7
1.00 自民党	606
2.00 民主党	423
3.00 公明党	150
4.00 社民党	56
5.00 共産党	65
6.00 国民新党	18
7.00 新党日本	16
9.00 その他の政党	4
77.00 白票・無効票	2
88.00 DK	5
99.00 NA	45
合計	1390
システム欠損値	2792
	4182
.

recode k1s2p k1s7 (77 88 99=-99)(else = copy) into v05sm v05pr.
recode v05sm v05pr (-99 sysmis=-99)(1=1)(else = 0) into v05smLDP v05prLDP.
recode v05sm v05pr (-99 sysmis=-99)(2=1)(else = 0) into v05smDPJ v05prDPJ.
recode v05sm       (-99 sysmis=-99)(3 thru 6=1)(else = 0) into v05smOTH.
recode       v05pr (-99 sysmis=-99)(3 thru 9=1)(else = 0) into v05prOTH.
recode v05sm       (-99 sysmis=-99)(1 thru 2=copy)(3 thru 6=3)(else = -99) into v05sm4.
  if (k_vote = 0) v05sm4=4.
recode       v05pr (-99 sysmis=-99)(1 thru 2=copy)(3 thru 9=3)(else = -99) into v05pr4.
  if (k_vote = 0) v05pr4=4.
missing values all (-9 -99 -999).
*fre v05sm v05smLDP v05smDPJ v05smOTH v05sm4 
    v05pr v05prLDP v05prDPJ v05prOTH v05pr4.


***********************************************************
    複数派回答者につき、1派をランダムに抽出
***********************************************************.

*******************
for 03  -> d, e
*******************.
compute compSet03=nmiss(
      female,e_age,d_educ,d_income,
      d_welfAB,d_libcon,
      d_lif1,
      d_class5,
      d_efc1,     d_efc4,
      tmLDP03,tmDPJ03,
      e_vote,
      v03sm,v03smLDP,v03smDPJ,v03smOTH,v03sm4,
      v03pr,v03prLDP,v03prDPJ,v03prOTH,v03pr4).
compute good03=0.
if (compSet03=0) good03=1.
*fre good03.

*******************
for 04  -> g, h
*******************.
compute compSet04=nmiss(
      female,h_age,g_educ,h_income,
      g_welfAB,g_libcon,
      g_lif1,
      g_class5,
      g_efc1,     g_efc4,
      tmLDP04,tmDPJ04,
      h_vote,
      v04ds,v04dsLDP,v04dsDPJ,v04dsOTH,v04ds4,
      v04pr,v04prLDP,v04prDPJ,v04prOTH,v04pr4).
compute good04=0.
if (compSet04=0) good04=1.
*fre good04.

*******************
for 05  -> j & k
*******************.
compute compSet05=nmiss(
      female,k_age,j_educ,k_income,
      j_welfAB,j_libcon,
      j_lif1,
      k_class5,
      j_efc1,     j_efc4,
      tmLDP05,tmDPJ05,
      k_vote,
      v05sm,v05smLDP,v05smDPJ,v05smOTH,v05sm4,
      v05pr,v05prLDP,v05prDPJ,v05prOTH,v05pr4).
compute good05=0.
if (compSet05=0) good05=1.
*fre good05.

compute goodPTTN=good03* 100 +
                 good04*  10 +
                 good05.

fre goodPTTN.

*
111	3
110	2
101	2
011	2
100	1
010	1
001	1
000	0
.

set seed 20160612.
compute R=uniform(1).

do repeat
   set01=
      m5 female,e_age,d_educ,d_income,
      d_welfAB,d_libcon,
      d_lif1,
      d_class5,
      d_efc1,     d_efc4,
      tmLDP03,tmDPJ03,
      e_vote,
      v03sm,v03smLDP,v03smDPJ,v03smOTH,v03sm4,
      v03pr,v03prLDP,v03prDPJ,v03prOTH,v03pr4
  /set02=
      m7 female,h_age,g_educ,h_income,
      g_welfAB,g_libcon,
      g_lif1,
      g_class5,
      g_efc1,     g_efc4,
      tmLDP04,tmDPJ04,
      h_vote,
      v04ds,v04dsLDP,v04dsDPJ,v04dsOTH,v04ds4,
      v04pr,v04prLDP,v04prDPJ,v04prOTH,v04pr4    
  /set03=
      m9 female,k_age,j_educ,k_income,
      j_welfAB,j_libcon,
      j_lif1,
      k_class5,
      j_efc1,     j_efc4,
      tmLDP05,tmDPJ05,
      k_vote,
      v05sm,v05smLDP,v05smDPJ,v05smOTH,v05sm4,
      v05pr,v05prLDP,v05prDPJ,v05prOTH,v05pr4
  /master=
      m9307 female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,     efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.
*one out of 3, 111.
 if ((goodPTTN=111) and R lt .33             ) master=set01.
 if ((goodPTTN=111) and R ge .33 and R lt .67) master=set02.
 if ((goodPTTN=111) and R ge .67             ) master=set03.
*one out of 2, 110.
 if ((goodPTTN=110) and R lt .50             ) master=set01.
 if ((goodPTTN=110) and R ge .50             ) master=set02.
*one out of 2, 101.
 if ((goodPTTN=101) and R lt .50             ) master=set01.
 if ((goodPTTN=101) and R ge .50             ) master=set03.
*one out of 2, 011.
 if ((goodPTTN=011) and R lt .50             ) master=set02.
 if ((goodPTTN=011) and R ge .50             ) master=set03.
*one out of 1, 100.
 if(goodPTTN=100                             ) master=set01.
*one out of 1, 010.
 if(goodPTTN=010                             ) master=set02.
*one out of 1, 001.
 if(goodPTTN=001                             ) master=set03.
end repeat.

*fre goodPTTN m9307.
crosstabs tables=goodPTTN by m9307.

*fre
  jes m9307 goodPTTN
  female,age,educ,income,
  welfAB,libcon,
  lif1,lif2,lif3,
  class5,
  efc1,efc2,efc3,efc4,
  tmLDP,tmDPJ,
  vote,
  vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
  vpr,vprLDP,vprDPJ,vprOTH,vpr4.


select if (goodPTTN ge 1).
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes3-forVoteModel-valid_case_only.sav'
 /keep=
  jes m9307 goodPTTN female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,     efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.
fre goodPTTN.


*     ********* NOTE ***********
      * ・1,408 valid cases saved.
      *.



















********************************************
       JES2
********************************************.


get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
       'jes2.sav'.

rename variables (educ=educJES2).
compute jes=2.
compute m9307=-9.
missing values m9307 (-9).

compute m1=  0.
compute m2=  1.
compute m3=  7.
compute m4= 19.
compute m5= 24.
compute m6= 39.
compute m7= 40.

*fre rawage rawage2 rawage3
    educJES2 educ2 educ3.
compute a_age=rawage.
compute e_age=rawage2.
compute f_age=rawage3.
*fre a_age e_age f_age.

recode educJES2 educ2 educ3
 (1=9)(2=12)(3=14)(4=16)(else=-9) into
      a_educ e_educ f_educ.
missing values a_educ e_educ f_educ (-9).
*fre a_educ e_educ f_educ.

*fre incomf incomf2 incomf.
recode
 incomf incomf2 incomf3
 (1=200)(2=400)(3=600)(4=800)(5=1000)
 (6=1200)(7=1400)(8=2000)(else=-99) into
 a_income e_income f_income.
execute.
missing values a_income e_income f_income (-99).
*fre incomf a_income incomf2 e_income incomf3 f_income.

*fre sex.
recode sex (1=0)(2=1) into female.
*fre female.


**** WelfAB ******************************.
*fre welchic1  welchic2.
recode
 welchic1
 (4=1)(3=.67)(2=.33)(1=0)(else=-9) into
 a_welfAB.
recode
 welchic2
 (7=1)(6=.83)(5=.67)(4=.50)(3=.34)(2=.17)(1=0)(else=-9) into
 f_welfAB.
missing values a_welfAB f_welfAB (-9).
*fre welchic1 a_welfAB welchic2 f_welfAB.

**** libcon ******************************.
*fre ideology ideolog2 ideolog5 ideolog6 ideolog7.
recode ideology ideolog2 ideolog5 ideolog6 ideolog7
 (1=0)  (2=1.1)(3=2.2)(4=3.3)(5=4.4)
 (6=5.6)(7=6.7)(8=7.8)(9=8.9)(10=10)(else=-99) into
 a_libcon b_libcon e_libcon f_libcon g_libcon. 
missing values a_libcon b_libcon e_libcon f_libcon g_libcon (-99).
*fre a_libcon b_libcon e_libcon f_libcon g_libcon. 

**** life satisfaction ******************************.
*fre satisfy living futliv1 satisfy2 living2 futliv2 satisfy3 living3 futliv3.
*value labels for the f wave are different from the rest in English. Japanese are the same.
recode
   satisfy living futliv1 satisfy2 living2 futliv2 satisfy3 living3 futliv3
  (1=1)(2=.75)(3=.50)(4=.25)(5=0)(else=-9) into
  b_lif1 b_lif2 b_lif3 e_lif1 e_lif2 e_lif3 g_lif1 g_lif2 g_lif3.
missing values 
  b_lif1 b_lif2 b_lif3 e_lif1 e_lif2 e_lif3 g_lif1 g_lif2 g_lif3 (-9).
execute.
*fre b_lif1 b_lif2 b_lif3 e_lif1 e_lif2 e_lif3 g_lif1 g_lif2 g_lif3.

**** class 5 ****************************************.
*fre ecosta.
recode ecosta
 (1=1)(2=.75)(3=.5)(4=.25)(5=0)(else=-9) into
 f_class5.
missing values f_class5 (-9).
*fre ecosta f_class5.

**** efficacy 1-4 ****************************************.
*fre impvote1 nopower1 complex1 impvote2 nopower2 complex2 impvote3 nopower3 complex3.
recode
   impvote1 nopower1 complex1 impvote2 nopower2 complex2 impvote3 nopower3 complex3
  (1=0)(2=.25)(3=.50)(4=.75)(5=1)(else=-9) into
  b_efc1 to b_efc3 e_efc1 to e_efc3 g_efc1 to g_efc3.
missing values b_efc1 to b_efc3 e_efc1 to e_efc3 g_efc1 to g_efc3 (-9,-99).
execute.
*fre b_efc1 to b_efc3 e_efc1 to e_efc3 g_efc1 to g_efc3.

*fre dietmen3.
recode
   dietmen3
  (1=0)(2=1)(3=.50)(else=-9) into
  f_efc4.
missing values f_efc4 (-9).
*fre f_efc4.

**** tmLDP/DPJ ****************************************.
*****
* DPJなし.  Shinshi-to, NFP による代替不可.
* CGPデータも不在.
*****.

*fre afldp4 to afjcp4 afldp5 to afjcp5.
recode afldp5 afdpj5
  (111 222=-999)(else=copy) into
 tmLDP96 tmDPJ96.
missing values
 tmLDP96 tmDPJ96 (-999).
*fre
 tmLDP96 tmDPJ96.

**** turnout ****************************************.
*fre partvote votesan elvote96.
recode
  partvote
  (1 thru 12=1)(13=0)(else=-9) into
  b_vote.
recode
  votesan
  (1=1)(2=0)(else=-9) into
  e_vote.
recode
  elvote96
  (1 thru 9=1)(10=0)(else=-9) into
  g_vote.
missing values b_vote e_vote g_vote (-9).
*fre b_vote e_vote g_vote.

**** vote  ****************************************.

*fre partvote elvote95 prvote95 elvote96 prvote96.


*******************************************************
*******************************************************
*******************************************************
*******************************************************
jes2については、民主投票は96からしか
登場しない。また、階層意識も96からしかデータがない。
したがって、96にのみ扱うことになる。
なお、ここでの「民主」は、旧・民主党。
以下、96年以外については、作業せず。
*******************************************************.


*elvote96
		度数	パーセント
有効	1 LDP	823	20.7
	2 NFP	458	11.5
	3 DPJ	222	5.6
	4 JSP	60	1.5
	5 JCP	198	5.0
	6 SKG	20	.5
	7 OTHERS	18	.5
	8 INDEPENDENT	58	1.5
	9 VOTED BUT FOGET	27	.7
	10 DID NOT VOTE	278	7.0
	11 DK	3	.1
	12 NA	134	3.4
	合計	2299	57.7
欠損値	システム欠損値	1686	42.3
合計		3985	100.0
* 
*prvote96
		度数	パーセント
有効	0 NOT APPLICABLE	415	10.4
	1 LDP	753	18.9
	2 NFP	448	11.2
	3 DPJ	283	7.1
	4 JSP	109	2.7
	5 JCP	210	5.3
	6 SKG	16	.4
	7 OTHERS	18	.5
	8 VOTED BUT FOGET	24	.6
	9 DK	7	.2
	10 NA	16	.4
	合計	2299	57.7
欠損値	システム欠損値	1686	42.3
合計		3985	100.0
.


recode elvote96 (9 10 11 12=-99)(else = copy) into v96sm.
recode v96sm (-99 sysmis=-99)(1=1)(else=0) into v96smLDP.
recode v96sm (-99 sysmis=-99)(3=1)(else=0) into v96smDPJ.
recode v96sm (-99 sysmis=-99)(2,4 thru 7=1)(else=0) into v96smOTH.
recode v96sm (-99 sysmis=-99)(1=1)(3=2)(2,4 thru 7=3)(else=-99) into v96sm4.
  if (g_vote = 0) v96sm4=0.
recode prvote96 (0 8 9 10=-99)(else = copy) into v96pr.
recode v96pr (-99 sysmis=-99)(1=1)(else=0) into v96prLDP.
recode v96pr (-99 sysmis=-99)(3=1)(else=0) into v96prDPJ.
recode v96pr (-99 sysmis=-99)(2,4 thru 7=1)(else=0) into v96prOTH.
recode v96pr (-99 sysmis=-99)(1=1)(3=2)(2,4 thru 7=3)(else=-99) into v96pr4.
  if (g_vote = 0) v96pr4=0.
missing values v96sm v96smLDP v96smDPJ v96smOTH v96sm4
               v96pr v96prLDP v96prDPJ v96prOTH v96pr4 (-99).
*fre v96sm v96smLDP v96smDPJ v96smOTH v96sm4
    v96pr v96prLDP v96prDPJ v96prOTH v96pr4.


*******************
for 96  <- g, f
*******************.
compute compSet96=nmiss(
      female,f_age,f_educ,f_income,
      f_welfAB,g_libcon,
      g_lif1,
      f_class5,
      g_efc1,     f_efc4,
      tmLDP96,tmDPJ96,
      g_vote,
      v96sm,v96smLDP,v96smDPJ,v96smOTH,v96sm4,
      v96pr,v96prLDP,v96prDPJ,v96prOTH,v96pr4).

compute good96=0.
if (compSet96=0) good96=1.

compute goodPTTN=good96.
*fre good96.

*set seed 20160612.         <-- 96のみ使用で、不要.
*compute R=uniform(1).   <-- 96のみ使用で、不要.

do repeat
   set01=
      m7 female,f_age,f_educ,f_income,
      f_welfAB,g_libcon,
      g_lif1,
      f_class5,
      g_efc1,     f_efc4,
      tmLDP96,tmDPJ96,
      g_vote,
      v96sm,v96smLDP,v96smDPJ,v96smOTH,v96sm4,
      v96pr,v96prLDP,v96prDPJ,v96prOTH,v96pr4
  /master=
      m9307 female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,     efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.
compute master = set01.
end repeat.


variable labels educJES2 ''.
value labels educJES2.
*既存ラベルの変更.

select if (goodPTTN ge 1).
save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2-forVoteModel-valid_case_only.sav'
 /keep=
  jes m9307 goodPTTN female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,      efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

fre goodPTTN.


*     ********* NOTE ***********
      * ・930 valid cases saved.
      *.















***********************************************************
***********************************************************
    JES 2-4の統合
***********************************************************
***********************************************************.

add files 
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2-forVoteModel-valid_case_only.sav'
 /file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes3-forVoteModel-valid_case_only.sav'
 /file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes4-forVoteModel-valid_case_only.sav'.
execute.

value labels 
 m9307  0 'jes2-W1 shu93A'
        1 'jes2-W2 shu93B'
        7 'jes2-W3 po94'
       19 'jes2-W4 po95'
       24 'jes2-W5 san95B'
       39 'jes2-W6 shu96A'
       40 'jes2-W7 shu96B'
       96 'jes3-W1 san01A'
       97 'jes3-W2 san01B'
      116 'jes3-W3 toi03'
      123 'jes3-W4 shu03A'
      124 'jes3-W5 shu03B'
      132 'jes3-W6 san04A'
      133 'jes3-W7 san04B'
      146 'jes3-W8 shu05A'
      147 'jes3-W9 shu05B'
      170 'jes4-W1 san07B'
      193 'jes4-W2 shu09A'
      194 'jes4-W3 shu09B'
      198 'jes4-W4 po10'
      203 'jes4-W5 san10A'
      204 'jes4-W6 san10B'
      220 'jes4-W7 po11'.

save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2thu4-forVoteModel.sav'
 /keep=
  jes m9307 goodPTTN female,age,educ,income,
      welfAB,libcon,
      lif1,
      class5,
      efc1,     efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

crosstabs tables=m9307 by vdsLDP vprLDP
  /cells count row.

** valid cases=3,754.


**********************************************************
  inc361　の追加
**********************************************************.
get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2thu4-forVoteModel.sav'.
crosstabs tables=income by m9307
 /cells column.


**********************
income と m9307 のクロス表  下記、ケース数調整後の正しい数値									
m9307 の % 
		m9307							合計
		40.00    124.00   133.00   147.00   170.00   194.00   204.00  	
		jes2-W7  jes3-W5  jes3-W7  jes3-W9  jes4-W1  jes4-W3  jes4-W6	
		shu96B   shu03B   san04B   shu05B   san07B   shu09B   san10B	
income	200.00	4.4%	7.0%	7.3%	7.1%	9.2%	8.6%	6.5%	6.8%
	300.00			10.7%		12.9%<	19.9%<	15.8%<	7.5%
	400.00	20.1%<	26.8%<	14.3%<	25.9%<	19.2%	16.8%	20.5%	20.6%
	500.00			11.1%		10.0%	11.1%	13.8%	5.8%
	600.00	19.6%	23.1%	12.3%	24.7%	10.5%	8.8%	10.8%	16.1%
	700.00			11.6%		8.3%	8.4%	8.8%	4.6%
	800.00	20.4%	17.6%	9.4%	17.1%	6.5%	8.2%	5.8%	13.1%
	1000.00	14.0%	13.4%	8.0%	11.1%	7.4%	9.0%<	8.5%<	10.7%
	1200.00	8.4%	6.0%<	8.2%<	7.1%<	7.2%<	4.7%	5.9%	6.9%
	1400.00	4.8%<	2.8%	2.7%	3.3%	3.1%	1.8%	1.1%	3.0%
	2000.00	8.3%	1.7%	2.2%	2.8%	3.5%	2.3%	1.6%	3.7%
	3000.00		1.7%	2.2%	1.0%	2.4%	0.4%	0.9%	1.1%
合計		100.0%	100.0%	100.0%	100.0%	100.0%	100.0%	100.0%	100.0%
*.
crosstabs tables=income by m9307
 /cells column count.



compute inc361=2.

if (m9307=40  and income le 400)  inc361=1. 
if (m9307=40  and income ge 1400) inc361=3. 

if (m9307=124 and income le 400)  inc361=1. 
if (m9307=124 and income ge 1200) inc361=3. 

if (m9307=133 and income le 400)  inc361=1. 
if (m9307=133 and income ge 1200) inc361=3. 

if (m9307=147 and income le 400)  inc361=1. 
if (m9307=147 and income ge 1200) inc361=3. 

if (m9307=170 and income le 300)  inc361=1. 
if (m9307=170 and income ge 1200) inc361=3. 

if (m9307=194 and income le 300)  inc361=1. 
if (m9307=194 and income ge 1000)  inc361=3. 

if (m9307=204 and income le 300)  inc361=1. 
if (m9307=204 and income ge 1000) inc361=3. 


crosstabs tables=inc361 by m9307
 /cells column.


**********************
inc361 と m9307 のクロス表									
m9307 の % 
		m9307							合計
		40.00    124.00   133.00   147.00   170.00   194.00   204.00  	
		jes2-W7  jes3-W5  jes3-W7  jes3-W9  jes4-W1  jes4-W3  jes4-W6	
		shu96B   shu03B   san04B   shu05B   san07B   shu09B   san10B	
inc361	1.00	24.5%	33.8%	32.2%	33.0%	22.0%	28.5%	22.3%	27.5%
	2.00	62.4%	54.0%	52.5%	52.9%	61.9%	53.3%	59.7%	57.4%
	3.00	13.1%	12.2%	15.3%	14.1%	16.1%	18.2%	18.0%	15.0%
合計		100.0%	100.0%	100.0%	100.0%	100.0%	100.0%	100.0%	100.0%
*.



save outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2thu4-forVoteModel.sav'
 /keep=
  jes m9307 goodPTTN female,age,educ,income,inc361,
      welfAB,libcon,
      lif1,
      class5,
      efc1,     efc4,
      tmLDP,tmDPJ,
      vote,
      vds,vdsLDP,vdsDPJ,vdsOTH,vds4,
      vpr,vprLDP,vprDPJ,vprOTH,vpr4.

crosstabs tables=m9307 by vdsLDP vprLDP
  /cells count row.

** valid cases=3,841.


***********************************************************
***********************************************************
       STATA用ファイルの出力
***********************************************************
***********************************************************.


get
  file='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2thu4-forVoteModel.sav'.

compute y9307=m9307/12.

save translate
 /outfile='/Users/ynishiza2017/Desktop/DLR1803_Inequality_Nishizawa/' +
             'jes2thu4-forVoteModelwithLimitedIVs.dta'
 /type=stata
 /replace
 /keep=all.


******** end of file **************************************************.

